> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of an evaluation run



## OpenAPI

````yaml get /runs/{run_id}
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /runs/{run_id}:
    get:
      tags:
        - Runs
      summary: Get details of an evaluation run
      operationId: getRun
      parameters:
        - in: path
          name: run_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRunResponse'
        '400':
          description: Error fetching evaluation
      x-codeSamples:
        - lang: python
          label: getRun
          source: |-
            import honeyhive

            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.runs.get_run(run_id='<value>')

            if res.get_run_response is not None:
                # handle response
                pass
        - lang: typescript
          label: getRun
          source: |-
            import { HoneyHive } from "honeyhive";
            import { GetRunRequest } from "honeyhive/dist/models/operations";

            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const runId: string = "<value>";

              const res = await sdk.runs.getRun(runId);

              if (res.statusCode == 200) {
                // handle response
              }
            }

            run();
components:
  schemas:
    GetRunResponse:
      type: object
      properties:
        evaluation:
          $ref: '#/components/schemas/EvaluationRun'
    EvaluationRun:
      type: object
      properties:
        run_id:
          $ref: '#/components/schemas/UUIDType'
          description: The UUID of the run
        project:
          type: string
          description: The UUID of the project this run is associated with
        created_at:
          type: string
          format: date-time
          description: The date and time the run was created
        event_ids:
          type: array
          description: The UUIDs of the sessions/events this run is associated with
          items:
            $ref: '#/components/schemas/UUIDType'
        dataset_id:
          type: string
          description: The UUID of the dataset this run is associated with
          nullable: true
        datapoint_ids:
          type: array
          description: >-
            The UUIDs of the datapoints from the original dataset this run is
            associated with
          items:
            type: string
        results:
          type: object
          description: >-
            The results of the evaluation (including pass/fails and metric
            aggregations)
        configuration:
          type: object
          description: The configuration being used for this run
          additionalProperties: true
        metadata:
          type: object
          description: Additional metadata for the run
          additionalProperties: true
        status:
          type: string
          enum:
            - pending
            - completed
        name:
          type: string
          description: The name of the run to be displayed
    UUIDType:
      type: string
      format: uuid
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````